"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cliArguments = void 0;
const file = require("file-exists");
/**
 * A global variable containing a parsed list of loaded CLI arguments by preferred prefix (--) and equality sign (=)
 */
exports.cliArguments = loadArguments();
/**
 * Filtering only relevant arguments by preferred prefix (--) and equality sign (=)
 */
function loadArguments() {
    const loadedArguments = {};
    const config = file.sync('./cli.config.json') ? require('./cli.config.json') : { prefix: '--', equalitySign: '=' };
    for (const argument of process.argv) {
        if (argument.indexOf(config.equalitySign) !== -1 && argument.startsWith(config.prefix)) {
            const splitArgument = argument.split(config.equalitySign);
            const name = splitArgument[0].replace(config.prefix, '');
            const value = splitArgument[1];
            loadedArguments[name] = value;
        }
    }
    return loadedArguments;
}
